import type { Options } from './types.js';
import type { PersistedOptions } from './config-file.js';
type AddOnMode = 'add-on' | 'starter';
export declare function createAppOptionsFromPersisted(json: PersistedOptions): Promise<Required<Options>>;
export declare function initAddOn(mode: AddOnMode): Promise<void>;
export {};
